import { get, post, put } from "@/utils/requestMethod";

/**
 * 获取公司基本信息
 * @param {*} company_id
 * @returns
 */
const getCompanyBasicInfo = (company_id) => {
  return get(`/data/company?company_id=${company_id}`);
};

/**
 * 修改公司基本信息
 * @param {*} options
 * @returns
 */
const editCompanyBasicInfo = (options) => {
  let params = new FormData();
  params.append("company_id", options.company_id);
  options.management_unit !== "" &&
    params.append("management_unit", options.management_unit);
  options.custodian_unit !== "" &&
    params.append("custodian_unit", options.custodian_unit);
  options.introduction !== "" &&
    params.append("introduction", options.introduction);
  options.contact_person !== "" &&
    params.append("contact_person", options.contact_person);
  options.contact_information !== "" &&
    params.append("contact_information", options.contact_information);
  return put("/data/company", params);
};

/**
 * 获取楼宇列表
 * @param {*} page
 * @param {*} page_size
 * @param {*} template_type
 * @param {*} template_name
 * @param {*} template_format
 * @returns
 */

const getBuildingList = () => {
  return get(`/data/building_list`);
};









/**
 * 获取底层系统
 * @param {*} page
 * @param {*} page_size
 * @returns
 */
const getUnderlyingSystem = () => {
  return get(`/data/underlying_system`);
};

/**
 * 添加底层系统
 * @param {*} picture
 * @returns
 */
const addUnderlyingSystem = (picture) => {
  let params = new FormData();
  return post(`/data/underlying_system`, params);
};
